(function(exports) {
    var jbscAPI = {
    	//统计模型
		screenStatics: function(data) {
			return httpRequest.post("doctor/screen/screenStatics")
		},
		//专科疾病列表
		getSpecialDisease: function(data) {
			return httpRequest.get("doctor/screen/getSpecialDisease")
		},
		//疾病筛查列表
		getResultList: function(data) {
			return httpRequest.get("doctor/screen/getResultList", {data: data})
		},
//		获取筛查问卷列表
		getScreenList: function(data){
			return httpRequest.post('doctor/screen/getScreenList',{data:data})
		},
		//获取医生团队下的居民
		patientsByTeam: function(data){
			return httpRequest.post('doctor/patient_label_info/patients_by_team',{data:data})
		},
		//获取医生团队信息
		getDoctorTeam: function(uid){
			return httpRequest.get('doctor/admin-teams/team/'+uid+'/teams')
		},
		//获取建议模板消息
		getTemplateAdvice: function(data){
			return httpRequest.get('doctor/screen/getTemplateAdvice',{data:data})
		},
		//跟踪建议保存
		updateAfterFollwoing: function(data){
			return httpRequest.post('doctor/screen/updateAfterFollwoing',{data:data})
		},
//		获取筛查结果
		getScreenResultDetail: function(data){
			return httpRequest.get('doctor/screen/getScreenResultDetail',{data:data})
		},
//		获取居民健康
		getHealth: function(data){
			return httpRequest.get('doctor/health_index/last',{data:data})
		},
//		获取医生基础信息
		doctorBaseinfo: function(data){
			return httpRequest.get('doctor/baseinfo',{data:data})
		},
//		获取模板下所有问卷问题
		getAllQuestions: function(data){
			return httpRequest.get('doctor/questionnaire/getAllQuestions',{data:data})
		},
		//保存筛查消息
		saveAnswer: function(data){
			return httpRequest.post('doctor/questionnaire/saveAnswer',{data:data})
		},
		searchDenizen: function(data){
			return httpRequest.post('doctor/patient_label_info/patient_search_all_exitdoc',{data:data})
		},
//		获取文章列表
		getCategoryList:function(data){
        	return httpRequest.articleGet('third/jkEdu/Article/getCategoryList', {data:data})
	   	},
//	   	获取文章
	   	getArticle:function(data){
	   		return httpRequest.articleGet('third/jkEdu/Article/getArticalById', {data:data})
	   	},
	   	queryArticlePcList:function(data){
	        return httpRequest.articleGet('doctor/jkEdu/article/PC/queryArticlePcList',  {data:data})
	    },
	    pushArticleList:function(data){
	        return httpRequest.articleGet('doctor/jkEdu/article/PC/pushArticleList', {data:data})
	    },
	    doctorSendArticleToPatients:function(data) {
        return httpRequest.articlePost('doctor/jkEdu/article/doctorSendArticleToPatients', {data:data})
    	},
    	updateAfterEducate:function(data){
    		return httpRequest.post('doctor/screen/updateAfterEducate', {data:data})
    	}
		
    }

    exports.jbscAPI = jbscAPI;
})(window)